petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoGetDualVariables

Gets pointers to the dual vectors

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetDualVariables(Tao tao, Vec *DE, Vec *DI)

Collective on Tao Many br

### Input Parameters

tao -the Tao context Many br

### Output Parameter

| DE | - dual variable vector for the lower bounds Many br
| DI | - dual variable vector for the upper bounds Many br

Many br

### See Also

TaoComputeDualVariables()

Level:advanced
Location:src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F.html